org.flexdock.plaf.icons

## Class IconResource

- java.lang.Object
- - org.flexdock.plaf.icons.IconResource

- All Implemented Interfaces:
    javax.swing.plaf.UIResource

      public class IconResource
      extends java.lang.Object
      implements javax.swing.plaf.UIResource

  Author:
    Christopher Butler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IconResource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.Action` | `getAction()`
    `javax.swing.Icon` | `getIcon()`
    `javax.swing.Icon` | `getIconActive()`
    `javax.swing.Icon` | `getIconActiveDisabled()`
    `javax.swing.Icon` | `getIconActiveHover()`
    `javax.swing.Icon` | `getIconDisabled()`
    `javax.swing.Icon` | `getIconHover()`
    `javax.swing.Icon` | `getIconPressed()`
    `javax.swing.Icon` | `getIconSelected()`
    `javax.swing.Icon` | `getIconSelectedActive()`
    `javax.swing.Icon` | `getIconSelectedActiveDisabled()`
    `javax.swing.Icon` | `getIconSelectedActiveHover()`
    `javax.swing.Icon` | `getIconSelectedDisabled()`
    `javax.swing.Icon` | `getIconSelectedHover()`
    `javax.swing.Icon` | `getIconSelectedPressed()`
    `java.lang.String` | `getTooltip()`
    `java.lang.String` | `getTooltipSelected()`
    `void` | `setAction(javax.swing.Action action)`
    `void` | `setIcon(javax.swing.Icon icon)`
    `void` | `setIconActive(javax.swing.Icon iconActive)`
    `void` | `setIconActiveDisabled(javax.swing.Icon iconActiveDisabled)`
    `void` | `setIconActiveHover(javax.swing.Icon iconActiveHover)`
    `void` | `setIconDisabled(javax.swing.Icon iconDisabled)`
    `void` | `setIconHover(javax.swing.Icon iconHover)`
    `void` | `setIconPressed(javax.swing.Icon iconPressed)`
    `void` | `setIconSelected(javax.swing.Icon iconSelected)`
    `void` | `setIconSelectedActive(javax.swing.Icon iconSelectedActive)`
    `void` | `setIconSelectedActiveDisabled(javax.swing.Icon iconSelectedActiveDisabled)`
    `void` | `setIconSelectedActiveHover(javax.swing.Icon iconSelectedActiveHover)`
    `void` | `setIconSelectedDisabled(javax.swing.Icon iconSelectedDisabled)`
    `void` | `setIconSelectedHover(javax.swing.Icon iconSelectedHover)`
    `void` | `setIconSelectedPressed(javax.swing.Icon iconSelectedPressed)`
    `void` | `setTooltip(java.lang.String tooltip)`
    `void` | `setTooltipSelected(java.lang.String tooltipSelected)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IconResource

          public IconResource()

  - ### Method Detail

    - #### getIcon

          public javax.swing.Icon getIcon()

      Returns:
        Returns the icon.

    - #### setIcon

          public void setIcon(javax.swing.Icon icon)

      Parameters:
        `icon` - The icon to set.

    - #### getIconActive

          public javax.swing.Icon getIconActive()

      Returns:
        Returns the iconActive.

    - #### setIconActive

          public void setIconActive(javax.swing.Icon iconActive)

      Parameters:
        `iconActive` - The iconActive to set.

    - #### getIconActiveHover

          public javax.swing.Icon getIconActiveHover()

      Returns:
        Returns the iconActiveHover.

    - #### setIconActiveHover

          public void setIconActiveHover(javax.swing.Icon iconActiveHover)

      Parameters:
        `iconActiveHover` - The iconActiveHover to set.

    - #### getIconHover

          public javax.swing.Icon getIconHover()

      Returns:
        Returns the iconHover.

    - #### setIconHover

          public void setIconHover(javax.swing.Icon iconHover)

      Parameters:
        `iconHover` - The iconHover to set.

    - #### getIconPressed

          public javax.swing.Icon getIconPressed()

      Returns:
        Returns the iconPressed.

    - #### setIconPressed

          public void setIconPressed(javax.swing.Icon iconPressed)

      Parameters:
        `iconPressed` - The iconPressed to set.

    - #### getIconSelected

          public javax.swing.Icon getIconSelected()

    - #### setIconSelected

          public void setIconSelected(javax.swing.Icon iconSelected)

    - #### getIconSelectedActive

          public javax.swing.Icon getIconSelectedActive()

    - #### setIconSelectedActive

          public void setIconSelectedActive(javax.swing.Icon iconSelectedActive)

    - #### getIconSelectedActiveHover

          public javax.swing.Icon getIconSelectedActiveHover()

    - #### setIconSelectedActiveHover

          public void setIconSelectedActiveHover(javax.swing.Icon iconSelectedActiveHover)

    - #### getIconSelectedHover

          public javax.swing.Icon getIconSelectedHover()

    - #### setIconSelectedHover

          public void setIconSelectedHover(javax.swing.Icon iconSelectedHover)

    - #### getIconSelectedPressed

          public javax.swing.Icon getIconSelectedPressed()

    - #### setIconSelectedPressed

          public void setIconSelectedPressed(javax.swing.Icon iconSelectedPressed)

    - #### getTooltip

          public java.lang.String getTooltip()

    - #### setTooltip

          public void setTooltip(java.lang.String tooltip)

    - #### getTooltipSelected

          public java.lang.String getTooltipSelected()

    - #### setTooltipSelected

          public void setTooltipSelected(java.lang.String tooltipSelected)

    - #### getAction

          public javax.swing.Action getAction()

    - #### setAction

          public void setAction(javax.swing.Action action)

    - #### getIconDisabled

          public javax.swing.Icon getIconDisabled()

      Returns:
        Returns the iconDisabled.

    - #### setIconDisabled

          public void setIconDisabled(javax.swing.Icon iconDisabled)

      Parameters:
        `iconDisabled` - The iconDisabled to set.

    - #### getIconActiveDisabled

          public javax.swing.Icon getIconActiveDisabled()

      Returns:
        Returns the iconActiveDisabled.

    - #### setIconActiveDisabled

          public void setIconActiveDisabled(javax.swing.Icon iconActiveDisabled)

      Parameters:
        `iconActiveDisabled` - The iconActiveDisabled to set.

    - #### getIconSelectedActiveDisabled

          public javax.swing.Icon getIconSelectedActiveDisabled()

      Returns:
        Returns the iconSelectedActiveDisabled.

    - #### setIconSelectedActiveDisabled

          public void setIconSelectedActiveDisabled(javax.swing.Icon iconSelectedActiveDisabled)

      Parameters:
        `iconSelectedActiveDisabled` - The iconSelectedActiveDisabled to set.

    - #### getIconSelectedDisabled

          public javax.swing.Icon getIconSelectedDisabled()

      Returns:
        Returns the iconSelectedDisabled.

    - #### setIconSelectedDisabled

          public void setIconSelectedDisabled(javax.swing.Icon iconSelectedDisabled)

      Parameters:
        `iconSelectedDisabled` - The iconSelectedDisabled to set.